/* 
    kleds for KDE2

    Copyright (C) 2001 Hans Matzen (hans@hansmatzen.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef __PREFS_H
#define __PREFS_H

#include <qdialog.h>
#include <kled.h>
#include "kleds.h"

class KColorButton;
class QComboBox;
class QGroupBox;
class QLabel;
class QPushButton;

class Prefs : public QDialog 
{ 
    Q_OBJECT
	
 public:
    Prefs(QWidget* parent = 0, const char* name = 0, 
	   bool modal = FALSE, WFlags fl = 0 );
    ~Prefs();
    /* methods for setting and getting the widget values */
    KLed::Shape get_num_shape();
    KLed::Shape get_caps_shape();
    KLed::Shape get_scroll_shape();
    QColor get_num_color();
    QColor get_caps_color();
    QColor get_scroll_color();
    uint get_label_position();

    void set_num_shape(KLed::Shape shape);
    void set_caps_shape(KLed::Shape shape);
    void set_scroll_shape(KLed::Shape shape);
    void set_num_color(QColor col);
    void set_caps_color(QColor col);
    void set_scroll_color(QColor col);
    void set_label_position(uint labpos);

 private:
    QLabel* TextLabel1;
    QPushButton* PushButton1;
    QGroupBox* GroupBox1;
    QLabel* TextLabel2_2;
    QLabel* TextLabel2_2_2;
    QLabel* TextLabel2_2_2_2;
    KColorButton* KColorButton1;
    KColorButton* KColorButton1_2;
    QLabel* TextLabel2;
    QComboBox* ComboBox1;
    QComboBox* ComboBox1_2_2;
    QComboBox* ComboBox1_2_2_2;
    QComboBox* ComboBox1_2;
    KColorButton* KColorButton1_3;
    QPushButton* PushButton1_2;
    QPushButton* PushButton1_3;

public slots:
    void cancel();
    void ok();
};
#endif 
