/* 
    kleds for KDE2

    Copyright (C) 2001 Hans Matzen (hans@hansmatzen.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef xkbwatch_included
#define xkbwatch_included

#include <qobject.h> 
#include <dcopclient.h>

extern "C" {
#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/XKBlib.h>
}

#include "dcop_if_kledssender.h"

#define NUM_LOCK_MASK    0x00000002
#define CAPS_LOCK_MASK   0x00000001
#define SCROLL_LOCK_MASK 0x00000004


/* class xkbwatch the indicator watcher class
 
   we need to inherit from something i choosed qobject
   because we want to use slots and signals
*/

class xkbwatch : public QObject, virtual public dcop_if_kledssender 
{
    Q_OBJECT
public:
  xkbwatch(char *displaystr);
  ~xkbwatch();

  int waitEvent();
  void run();

private:
  int lednumlock;
  int ledcapslock;
  int ledscrollock;
  unsigned int ledstate;
  Display  *display;
  char *displaystring;
  XkbEvent  xkbevent;
  int eventnum;
  DCOPClient *dc;

public slots:
  void quit();
  void get_indicators();
  

protected:
  void indicators_changed(int ledstate);
};
#endif
